git clone: fatal: Unable to find remote helper for 'https'错误的解决办法

分类:开发相关    发布时间:2017-08-28 02:27:10

该问题是由 git configure 配置时没有设定 --with-curl --with-expat 造成。

参考:git INSTALL文件:

“libcurl” library is used by git-http-fetch and git-fetch. You might also want the “curl” executable for debugging purposes. If you do not use http:// or https:// repositories, you do not have to have them (use NO_CURL).


“expat” library; git-http-push uses it for remote lock management over DAV. Similar to “curl” above, this is optional (with NO_EXPAT).


CentOS的话,使用yum安装curl开发相关库后:

$ yum install libcurl-devel

重新配置编译git即可。


参考:

http://stackoverflow.com/questions/8329485/git-clone-fatal-unable-to-find-remote-helper-for-https

http://rcmdnk.github.io/blog/2013/07/27/computer-cygwin-git/


标签: git

阅读(79)┆ 评论(0) ┆ (0) ┆ 返回博客首页


发表我的评论

欢迎您: | 退出登录


文章评论